POST /companyInfoSummery
prices probe ok
Per-symbol quote (primary single-name source).
curl
curl -sS -X POST 'https://www.cse.lk/api/companyInfoSummery' \
-H 'Content-Type: application/x-www-form-urlencoded' \
-H 'Origin: https://www.cse.lk' -H 'Referer: https://www.cse.lk/' \
-d 'symbol={{symbol}}'
Known failures
- GET → 405
- POST JSON {symbol} → 400
Fields
reqSymbolInfo.symbolreqSymbolInfo.namereqSymbolInfo.id— Numeric stockId for companyChartDataByStock (not securityId)reqSymbolInfo.lastTradedPricereqSymbolInfo.changereqSymbolInfo.changePercentagereqSymbolInfo.marketCap
Sample
{
"_probe": {
"id": "companyInfoSummery",
"url": "https://www.cse.lk/api/companyInfoSummery",
"method": "POST",
"status": 200,
"verified_at": "2026-07-16T16:34:29.500100+00:00",
"fingerprint": {
"type": "object",
"keys": [
"reqLogo",
"reqSymbolBetaInfo",
"reqSymbolInfo",
"reqTagsLogo"
]
}
},
"response": {
"reqSymbolBetaInfo": {
"securityId": 508,
"triASIBetaValue": 1.4364177,
"betaValueSPSL": 1.3333858,
"triASIBetaPeriod": "2025",
"quarter": 1
},
"reqTagsLogo": null,
"reqLogo": {
"id": 3567,
"path": "upload_logo/dzfJJcujeDHnGn8j_27Dec2025052535GMT_1766813135197.jpeg",
"secId": 508
},
"reqSymbolInfo": {
"id": 297,
"symbol": "JKH.N0000",
"name": "JOHN KEELLS HOLDINGS PLC",
"issueDate": "23/OCT/1986",
"quantityIssued": 17734109136,
"parValue": 1.0,
"issuedPrice": null,
"lastTradedPrice": 20.0,
"wtdHiPrice": 20.0,
"mtdHiPrice": 20.4,
"ytdHiPrice": 23.4,
"p12HiPrice": 26.1,
"allHiPrice": 430.25,
"allLowPrice": 8.75,
"wtdLowPrice": 19.8,
"mtdLowPrice": 19.8,
"ytdLowPrice": 17.8,
"p12LowPrice": 17.8,
"tdyShareVolume": 3319037,
"wdyShareVolume": 5895356,
"mtdShareVolume": 61836437,
"ytdShareVolume": 1422082827,
"p12ShareVolume": 2910559594,
"tdyTradeVolume": 319,
"wtdTradeVolume": null,
"mtdTradeVolume": null,
"ytdTradeVolume": null,
"p12TradeVolume": null,
"tdyTurnover": 66398160.0,
"wtdTurnover": 117200472.0,
"mtdTurnover": 1235637630.0,
"ytdTurnover": 28882995200.0,
"p12Turnover": null,
"previousClose": 19.9,
"foreignHoldings": null,
"foreignPercentage": null,
"instrumentsDate": null,
"hiTrade": 20.2,
"lowTrade": 19.9,
"closingPrice": 20.0,
"marketCap": 354682182720.0,
"marketCapPercentage": 4.551881,
"change": 0.1,
"changePercentage": 0.5025125628140703,
"symbolIndexShareVolume": 17734109136,
"isin": "LK0092N00003"
}
}
}